import request from '@/apps/mobile/utils/request'

// 税率设置 分页获取
export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/taxSettings/query-page',
        data,
    });
}

// 新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/taxSettings/insert',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/taxSettings/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/taxSettings/update',
        data,
    });
}


// 审批
export function examine(data) {
    return request({
        method: 'post',
        url: `/api/taxSettings/examine`,
        data
    });
}
